#include <iostream>
using namespace std;
int main(){
    int t;
    cin>>t;
    for(int i=0;i<t;i++){
        int brojpoz=0;
        int brojneg=0;
        int n;
        cin>>n;
        for(int j=0;j<n;j++){
            int x;
            cin>>x;
            if(x==1){
                brojpoz++;
            }
            else{
                brojneg++;
            }
        }
        for(int j=0;j<n;j++){
            int x;
            cin>>x;
            if(x==1){
                brojpoz--;
            }
            else{
                brojneg--;
            }
        }
        if((brojpoz==0)&&(brojneg==0)){
            cout<<"DA"<endl;
        }
        else{
            cout<<"NE"<<endl;
        }
    }
}